package entity

import (
	"gorm.io/gorm"
	"time"
)

// Grant Grant是授权给实例的，给予实例访问权限
type Grant struct {
	gorm.Model `json:"model"`
	Token      string    `gorm:"unique;not null" json:"token"`
	ExpireAt   time.Time `gorm:"index" json:"expire_at"`
	GrantTo    string    `gorm:"not null;default:'';comment:instances(name)授权给实例，空表示无指定（所有）" json:"grant_to"`
}
