package log

import (
	nested "github.com/antonfisher/nested-logrus-formatter"
	"github.com/sirupsen/logrus"
)

var Logger *logrus.Logger

func InitLogger(debug bool) {
	log := logrus.New()
	log.SetFormatter(&nested.Formatter{
		FieldsOrder:     []string{"method", "url", "statusCode", "spendTime"},
		HideKeys:        true,
		NoFieldsColors:  true,
		TimestampFormat: "2006-01-02 15:04:05.000",
	})

	var lvl logrus.Level
	switch debug {
	case true:
		lvl = logrus.DebugLevel
	case false:
		lvl = logrus.InfoLevel
	}
	log.SetLevel(lvl)
	Logger = log
}
